#!/usr/bin/perl

use strict;



my $srFile = 'SKILLRANK.csv';
my $coFile = $ARGV[0] or die;

my %skillRank = ();
my %charmTable = ();
my $line;

open my $SR, "$srFile" or die;
while ($line = <$SR>){
	my @data = split /[,\r\n]/, $line;
	push @{$skillRank{$data[0]}}, $data[1];
}
close $SR;

open my $CO, "$coFile" or die;
while ($line = <$CO>){
	my @data = split /[,\r\n]/, $line;

	unless ($data[2]){
		print join(',', @data), "\n";
	}
	else{
		foreach my $name1 (@{$skillRank{$data[2]}}){
			unless ($data[4]){
				print join(',', @data[0,1], $name1, $data[3]), "\n";
			}
			else {
				foreach my $name2 (@{$skillRank{$data[4]}}){
					next if $name1 eq $name2;
					print join(',', @data[0,1], $name1, $data[3], $name2, $data[5]), "\n";
				}
			}
		}
	}

}
close $CO;
